Subject: Re: linux-next: build warning after merge of the moduleh tree

From: Paul Gortmaker <[email-masked]>
Date: Tue, 11 Oct 2011 09:16:18 -0400

[linux-next: build warning after merge of the moduleh tree] On 11/10/2011 (Tue 20:21) Stephen Rothwell wrote:

> Hi Paul,
> 
> After merging the moduleh tree, today's linux-next build (i386 defconfig)
> produced this warning:
> 
> arch/x86/kernel/cpu/perf_event_intel.c:1323:1: warning: data definition has no type or storage class [enabled by default]
> arch/x86/kernel/cpu/perf_event_intel.c:1323:1: warning: type defaults to 'int' in declaration of 'EXPORT_SYMBOL_GPL' [-Wimplicit-int]
> arch/x86/kernel/cpu/perf_event_intel.c:1323:1: warning: parameter names (without types) in function declaration [enabled by default]
> 
> Introduced by commit 144d31e6f190 ("perf, intel: Use GO/HO bits in
> perf-ctr") from the tip tree interacting with the module.h slipt up.
> 
> I'll add a patch tomorrow to add an include of export.h to this file.

Hi Stephen,

I've added this and the other nmi export to the post-merge queue.  I'll
assume for the moment that the regulator tree will pick up the 3rd one,
like you recommended.

Thanks,
Paul.

> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/